org.apache.cxf.bus.managers

## Class ServerLifeCycleManagerImpl

- java.lang.Object
- - org.apache.cxf.bus.managers.ServerLifeCycleManagerImpl

- All Implemented Interfaces:
    ServerLifeCycleManager, BusExtension

      public class ServerLifeCycleManagerImpl
      extends Object
      implements ServerLifeCycleManager, BusExtension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerLifeCycleManagerImpl()`
    `ServerLifeCycleManagerImpl(Bus b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getRegistrationType()`
    `void` | `registerListener(ServerLifeCycleListener listener)`
    `void` | `startServer(Server server)`
    `void` | `stopServer(Server server)`
    `void` | `unRegisterListener(ServerLifeCycleListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerLifeCycleManagerImpl

          public ServerLifeCycleManagerImpl()

    - #### ServerLifeCycleManagerImpl

          public ServerLifeCycleManagerImpl(Bus b)

  - ### Method Detail

    - #### getRegistrationType

          public Class<?> getRegistrationType()

      Specified by:
        `getRegistrationType` in interface `BusExtension`

    - #### registerListener

          public void registerListener(ServerLifeCycleListener listener)

      Specified by:
        `registerListener` in interface `ServerLifeCycleManager`

    - #### startServer

          public void startServer(Server server)

      Specified by:
        `startServer` in interface `ServerLifeCycleManager`

    - #### stopServer

          public void stopServer(Server server)

      Specified by:
        `stopServer` in interface `ServerLifeCycleManager`

    - #### unRegisterListener

          public void unRegisterListener(ServerLifeCycleListener listener)

      Specified by:
        `unRegisterListener` in interface `ServerLifeCycleManager`

Apache CXF